Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.assertion
Class Attribute

    java.lang.Object
      oasis.names.tc.saml._1_0.assertion.AttributeDesignatorType
          oasis.names.tc.saml._1_0.assertion.Attribute

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:08:01+01:00",
               comments="JAXB RI v2.2.11")
    public class Attribute

extends AttributeDesignatorType
implements Serializable

Java class for AttributeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributeType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:assertion}AttributeDesignatorType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}AttributeValue" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Attribute()`

Method Summary
`List<Object>` | `getAttributeValues()` Gets the value of the attributeValues property.

Methods inherited from class oasis.names.tc.saml._1_0.assertion.AttributeDesignatorType
`getAttributeName, getAttributeNamespace, setAttributeName, setAttributeNamespace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute()

Method Detail

### getAttributeValues

    public List<Object> getAttributeValues()

  Gets the value of the attributeValues property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeValues property.

  For example, to add a new item, do as follows:

          getAttributeValues().add(newItem);

  Objects of the following type(s) are allowed in the list `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.